package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/16 16:54
 */
@Getter
@Setter
public class QcResultShortDTO {
    /**
     * 医院id
     */
    private String hospitalId;

    /**
     * 病历等级
     */
    @Excel(name = "病历等级", width = 30, orderNum = "1")
    private String level;
    /**
     * 病历得分
     */
    @Excel(name = "病历得分", width = 30, orderNum = "2")
    private Double scoreRes;
    @Excel(name = "病人住院序号", width = 40, orderNum = "3")
    private String behospitalCode;
    //@Excel(name = "核查状态", width = 20, orderNum = "4",replace = { "已核查_1", "未核查_0", "_null" })
    private Integer checkStatus;
    @Excel(name = "病案号", width = 30, orderNum = "5")
    private String fileCode;
    @Excel(name = "病人姓名", width = 30, orderNum = "6")
    private String name;
    @Excel(name = "性别", width = 20, orderNum = "7")
    private String sex;
    @Excel(name = "年龄", width = 20, orderNum = "8")
    private String age;
    @Excel(name = "床号", width = 30, orderNum = "9")
    private String bedCode;
    @Excel(name = "入院日期", format = "yyyy-MM-dd", width = 30, orderNum = "10")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;
    @Excel(name = "出院日期", format = "yyyy-MM-dd", width = 30, orderNum = "11")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;
    @Excel(name = "归档日期", format = "yyyy-MM-dd", width = 30, orderNum = "12")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date placefileDate;
    @Excel(name = "主诊断", width = 60, orderNum = "13")
    private String diagnose;
    private String behDoctorId;
    @Excel(name = "住院医生", width = 30, orderNum = "14")
    private String behDoctorName;
    /**
     * 主治医生id
     */
    private String doctorId;
    /**
     * 主治医生姓名
     */
    @Excel(name = "主管医生", width = 30, orderNum = "15")
    private String doctorName;
    private String directorDoctorId;
    @Excel(name = "主任医生", width = 30, orderNum = "16")
    private String directorDoctorName;
    /**
     * 科室编码
     */
    private String behDeptId;
    /**
     * 科室名称
     */
    @Excel(name = "科室", width = 70, orderNum = "17")
    private String behDeptName;
    @Excel(name = "评分时间", format = "yyyy-MM-dd", width = 30, orderNum = "18")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gradeTime;

    /**
     * 评分类型
     */
    private Integer gradeType;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    /**
     * 病区名称
     */
    private String wardName;

}