package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class BehospitalPageVO extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 医院ID
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 入院时间开始时间
     */
    private Date behosDateStart;

    /**
     * 入院时间结束时间
     */
    private Date behosDateEnd;

    /**
     * 出院时间开始时间
     */
    private Date leaveHosDateStart;

    /**
     * 出院时间结束时间
     */
    private Date leaveHosDateEnd;

    /**
     * 等级
     */
    private String level;

    /**
     * 住院科室名称
     */
    private String deptId;

    /**
     * 医生姓名
     */
    private String doctorName;

    @ApiModelProperty(hidden = true)
    private Long userId;

    /**
     * 医生工号
     */
    private String doctorCode;

    /**
     * 统计维度 1-本月，2-本年
     */
    private Integer statisticsType;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    @ApiModelProperty(hidden = true)
    private String isPlacefile;

    private Integer checkStatus;
}
