package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/5/14 14:57
 */
@Getter
@Setter
public class FilterPageVO extends Page {
    /**
     * 统计维度 1-本月，2-本年
     */
    private Integer type;
    /**
     * 起始时间
     */
    @NotBlank(message = "请输入起始时间")
    private String startDate;
    /**
     * 结束时间
     */
    @NotBlank(message = "请输入结束时间")
    private String endDate;
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 用户id
     */
    @ApiModelProperty(hidden = true)
    private Long userId;
    private String name;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 模块id：243=病案首页
     */
    private Long casesId;

    /**
     * 模块名称
     */
    private String casesName;

    /**
     * 单项否决
     */
    private Integer isReject;

    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    private Integer ruleType;
}